routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\AdminController;
use App\Http\Controllers\RuanganController;
use App\Http\Controllers\DokterController;
use App\Http\Controllers\AduanController;
use App\Http\Controllers\BannerAdsController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::middleware(['auth', 'cekuser:admin'])->group(function () {
    Route::get('/', [AdminController::class, 'index']);

    Route::get('admin', [AdminController::class, 'index'])->name('home');;
    Route::resource('ruangan', RuanganController::class);
    Route::resource('dokter', DokterController::class);
    Route::post('del_dokter/{id}', [DokterController::class, 'destroy']);
    Route::get('jadwal_dokter/{dokterId}', [DokterController::class, 'editJadwal']);
    Route::post('input_jadwal/{dokterId}', [DokterController::class, 'inputJadwal']);
    
    Route::post('upload_image_ruangan', [RuanganController::class, 'uploadImage']);
    Route::get('fetch_image_ruangan/{ruanganId}', [RuanganController::class, 'fetchImage']);
    Route::get('delete_image_ruangan/{id}', [RuanganController::class, 'deleteImage']);

    Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

    Route::resource('users', App\Http\Controllers\KelolaUserController::class);
    Route::resource('banners', BannerAdsController::class);
    Route::resource('kelola_pelayanan',  App\Http\Controllers\KelolaPelayananController::class);
    Route::get('kelola-not-direct/{pelayananId}',  [App\Http\Controllers\KelolaPelayananController::class, 'showNotDirect']);
    Route::post('simpan_foto_det_pel',  [App\Http\Controllers\KelolaPelayananController::class, 'simpanFotoDetPel']);
    Route::get('delete-not-direct/{id}',  [App\Http\Controllers\KelolaPelayananController::class, 'deleteFotoDetPel']);
    Route::post('update-detail-pelayanan-not-direct',  [App\Http\Controllers\KelolaPelayananController::class, 'storeDetPelNotDirect']);
    Route::post('update_pelayanan_direct',  [App\Http\Controllers\KelolaPelayananController::class, 'simpanDirectPelayanan']);
    Route::post('update_det_pelayanan_direct',  [App\Http\Controllers\KelolaPelayananController::class, 'storeDetPelDirect']);
    Route::get('delete-direct-pelayanan/{pelayananId}',  [App\Http\Controllers\KelolaPelayananController::class, 'delDirectPelayanan']);
    Route::post('simpan_new_pelayanan',  [App\Http\Controllers\KelolaPelayananController::class, 'storeNewPelayanan']);
    Route::post('simpan_not_direct_pel/{id}',  [App\Http\Controllers\KelolaPelayananController::class, 'storeNewNotDirect']);
    
});

Route::middleware(['auth'])->group(function () {
    Route::get('pengaduan', [AduanController::class, 'index']);
    Route::get('pengaduan/{id}', [AduanController::class, 'showAduan']);
    Route::get('histori_pengaduan', [AduanController::class, 'historiAduan']);
    Route::get('fetch_data_duahari_aduan', [AduanController::class, 'fetchDataDuaHari']);
    Route::get('fetch_data_aduan', [AduanController::class, 'fetchData']);
    Route::get('get_unsoundbell', [AduanController::class, 'getUnSoundBell']);

    Route::post('mute_sound_bell', [AduanController::class, 'mutedSoundBell']);
    Route::post('action_aduan', [AduanController::class, 'actionAduan']);
    Route::get('get_aduan_by/{id}', [AduanController::class, 'getAduan']);
    Route::post('konfirmasi_aduan', [AduanController::class, 'sendKonfirmasi']);
});


Auth::routes(['register' => false]);

app/Models/Dokter.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Dokter extends Model
{
    use HasFactory;
    //protected $connection = 'mysql2';
    protected $table = 'dpjp';
    protected $fillable = [
        "nama",
        "smf",
        "gambar",
        "ket",
        "universitas",
        "biografi"  
    ];
    public $timestamps = false;
}

app/Http/Controllers/Api/DokterController.php
<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Dokter;
use App\Models\JadwalDokter;

class DokterController extends Controller
{

    public function fetchSMF(Request $request){
        $search = $request->search;
        $dokter = Dokter::select('smf')
            ->where('smf', 'like', '%'.$search.'%')
            ->distinct()
            ->get();
        return response()->json(["code" => 200, "data" => $dokter]);
    }

    public function fetchDokter(Request $request)
    {
        $search = $request->search;
        $smf = $request->smf;
        $jumlahData = Dokter::where('nama', 'like', '%'.$search.'%')->count();
        $dokter = Dokter::select('id', 'nama', \DB::raw('CONCAT("'.config('global.URL_ASSET_BARU').'dokter/'.'", gambar) as image_url'), 
            'gambar', 'smf as jenis', 'biografi', 'universitas')
            ->where('nama', 'like', '%'.$search.'%')
            ->where('smf', $smf)
            ->get();
        return response()->json(["code" => 200, "data" => $dokter, "jumlahData" => $jumlahData]);
    }

    public function fetchJadwal($dokterId)
    {
        $jadwalDokter = JadwalDokter::where('dokter_id', $dokterId)->get();
        return response()->json(["code" => 200, "data" => $jadwalDokter]);
    }

}

app/Http/Controllers/DokterController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Dokter;
use App\Models\JenisDokter;
use App\Models\JadwalDokter;

class DokterController extends Controller
{
    
    public function index()
    {
        $dokter = Dokter::all();
        return view('admin.dokter.index', compact('dokter'));
    }

    public function create()
    {
        $jenis = Dokter::select('smf')->distinct()->get();
        return view('admin.dokter.create', compact('jenis'));
    }

    public function store(Request $request)
    {
        $resorce = $request->file('gambar');

        $url = config('global.URL_SERVER_ASSET')."upload-foto-dokter";
        $fileName = time().$_FILES['gambar']['name'];

        $fields = [
            'filedata' => new \CURLFile($_FILES['gambar']['tmp_name'], $_FILES['gambar']['type'], $fileName)
        ];
        
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $fields);
        curl_exec($ch);

        if(curl_exec($ch)){
            Dokter::create([
                "nama" => $request->nama,
                "smf" => $request->id_jns,
                "gambar" => $fileName,
                "universitas" => $request->universitas,
                "biografi" => $request->biografi
            ]);
            return redirect('dokter')->with("success", "Berhasil menambahkan dokter");
        }else{
            echo "Error!" . curl_error($ch);
        }

    }

    public function edit($id)
    {
        $dokter = Dokter::find($id);
        $jenis = Dokter::select('smf')->distinct()->get();
        return view('admin.dokter.edit', compact('dokter', 'jenis'));
    }

    public function update(Request $request, $id)
    {
        $dokter = Dokter::find($id);
        $resorce = $request->file('gambar');
        if($resorce != ""){
            $url = config('global.URL_SERVER_ASSET')."upload-foto-dokter";
            $fileName = time().$_FILES['gambar']['name'];
    
            $fields = [
                'filedata' => new \CURLFile($_FILES['gambar']['tmp_name'], $_FILES['gambar']['type'], $fileName)
            ];
            
            $ch = curl_init();
            curl_setopt($ch, CURLOPT_URL, $url);
            curl_setopt($ch, CURLOPT_POST, true);
            curl_setopt($ch, CURLOPT_POSTFIELDS, $fields);
            curl_exec($ch);
            $dokter->gambar = $fileName;
        }

        $dokter->nama = $request->nama;
        $dokter->smf = $request->smf;
        $dokter->universitas = $request->universitas;
        $dokter->biografi = $request->biografi;
        $dokter->save();
        return redirect('dokter')->with("success", "Berhasil mengubah dokter");
    }

    public function destroy($id)
    {
        $dokter = Dokter::find($id);
        $dokter->delete();
        return redirect('dokter')->with("success", "Berhasil menghapus dokter");
    }

    public function editJadwal($dokterId)
    {
        $jadwalSenin = JadwalDokter::where('dokter_id', $dokterId)
            ->where('hari', 'Senin')
            ->first();
        $jadwalSelasa = JadwalDokter::where('dokter_id', $dokterId)
            ->where('hari', 'Selasa')
            ->first();
        $jadwalRabu = JadwalDokter::where('dokter_id', $dokterId)
            ->where('hari', 'Rabu')
            ->first();
        $jadwalKamis = JadwalDokter::where('dokter_id', $dokterId)
            ->where('hari', 'Kamis')
            ->first();
        $jadwalJumat = JadwalDokter::where('dokter_id', $dokterId)
            ->where('hari', 'Jumat')
            ->first();
        $jadwalSabtu = JadwalDokter::where('dokter_id', $dokterId)
            ->where('hari', 'Sabtu')
            ->first();
        return view('admin.dokter.jadwal', compact(
            'jadwalSenin', 
            'jadwalSelasa', 
            'jadwalRabu', 
            'jadwalKamis', 
            'jadwalJumat', 
            'jadwalSabtu',
            'dokterId')
        );
    }

    public function inputJadwal(Request $request, $dokterId)
    {
        if($request->jadwalId != ""){
            $jadwalDokter = JadwalDokter::find($request->jadwalId);
        }else{
            $jadwalDokter = new JadwalDokter();
        }
        $jadwalDokter->hari = $request->hari;
        $jadwalDokter->jam_awal_prakter = $request->jam_awal_prakter;
        $jadwalDokter->jam_akhir_prakter = $request->jam_akhir_prakter;
        $jadwalDokter->dokter_id = $dokterId;
        $jadwalDokter->save();
        return redirect()->back()->with('success', 'Berhasil menambahkan jadwal dokter');
    }

}

resources/views/admin/dokter/create.blade.php
@extends('templates.main')
@section('content')
<div class="pagetitle">
    <h1>Tambah Dokter</h1>
    <nav>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{{ url('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item"><a href="{{ url('dokter') }}">Dokter</a></li>
            <li class="breadcrumb-item active">Tambah Dokter</li>
        </ol>
    </nav>
</div>
<section class="section">
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-body">
                    <form class="mt-3" method="POST" action="{{ route('dokter.store') }}" enctype="multipart/form-data">
                        @csrf
                        <div class="row mb-3">
                            <label for="inputText" class="col-sm-2 col-form-label">Nama Dokter</label>
                            <div class="col-sm-10">
                                <input type="text" id="nama" name="nama" class="form-control" required />
                            </div>
                        </div>
                        <div class="row mb-3">
                            <label for="inputText" class="col-sm-2 col-form-label">Foto Dokter</label>
                            <div class="col-sm-10">
                                <input class="form-control" type="file" id="formFile" id="gambar" name="gambar" required />
                            </div>
                        </div>
                        <div class="row mb-3">
                            <label for="inputText" class="col-sm-2 col-form-label">Jenis</label>
                            <div class="col-sm-10">
                                <select class="jenis-dokter" name="id_jns" style="width: 100%" required>
                                    <option value="">Pilih Salah Satu</option>
                                    @foreach($jenis as $row)
                                        <option value="{{ $row->smf }}">{{ $row->smf }}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="row mb-3">
                            <label for="inputText" class="col-sm-2 col-form-label">Universitas</label>
                            <div class="col-sm-10">
                                <input class="form-control" type="text" id="universitas" name="universitas" required />
                            </div>
                        </div>
                        <div class="row mb-3">
                            <label for="inputText" class="col-sm-2 col-form-label">Biografi</label>
                            <textarea class="form-control biografi" id="biografi" name="biografi"></textarea>
                        </div>
                        <button type="submit" class="btn btn-primary"><span class="fa fa-save"></span>
                            Simpan</button>
                        <a href="{{ url()->previous() }}" class="btn btn-secondary"><i
                                class="fas fa-chevron-double-left"></i> Kembali</a>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>
@endsection

@push('scripts')
<script>
$(document).ready(function() {
    $('.jenis-dokter').select2();
    var select2 = $(".jenis-dokter").select2();
    select2.data('select2').$selection.css('height', '34px');
});
</script>
@endpush

resources/views/admin/dokter/edit.blade.php
@extends('templates.main')
@section('content')
<div class="pagetitle">
    <h1>Edit Dokter</h1>
    <nav>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{{ url('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item"><a href="{{ url('dokter') }}">Dokter</a></li>
            <li class="breadcrumb-item active">Edit Dokter</li>
        </ol>
    </nav>
</div>
<section class="section">
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-body">
                    <form class="mt-3" method="POST" action="{{ route('dokter.update', $dokter->id)  }}" enctype="multipart/form-data">
                        {{ method_field('put') }}
                        @csrf
                        <div class="row mb-3">
                            <label for="inputText" class="col-sm-2 col-form-label">Nama Dokter</label>
                            <div class="col-sm-10">
                                <input type="text" id="nama" name="nama" class="form-control" value="{{ $dokter->nama }}" required />
                            </div>
                        </div>
                        <div class="row mb-3">
                            <label for="inputText" class="col-sm-2 col-form-label">Foto Dokter</label>
                            <div class="col-sm-10">
                                <input class="form-control" type="file" id="formFile" id="gambar" name="gambar" />
                            </div>
                            <div class="col-sm-2"></div>
                            <div class="col-sm-10">
                                <img class="img-dokter mt-2 mb-3" src="{{ config('global.URL_ASSET_BARU').'dokter/'.$dokter->gambar }}" />
                            </div>
                        </div>
                        <div class="row mb-3">
                            <label for="inputText" class="col-sm-2 col-form-label">Jenis</label>
                            <div class="col-sm-10">
                                <select class="jenis-dokter" name="smf" style="width: 100%" required>
                                    <option value="">Pilih Salah Satu</option>
                                    @foreach($jenis as $row)
                                        <option value="{{ $row->smf }}" @if($row->smf == $dokter->smf) selected @endif>{{ $row->smf }}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="row mb-3">
                            <label for="inputText" class="col-sm-2 col-form-label">Universitas</label>
                            <div class="col-sm-10">
                                <input class="form-control" type="text" id="universitas" name="universitas"  value="{{ $dokter->universitas }}" required />
                            </div>
                        </div>
                        <div class="row mb-3">
                            <label for="inputText" class="col-sm-2 col-form-label">Biografi</label>
                            <textarea class="form-control biografi" id="biografi" name="biografi">{{ $dokter->biografi }}</textarea>
                        </div>
                        <button type="submit" class="btn btn-primary"><span class="fa fa-save"></span>
                            Simpan</button>
                        <a href="{{ url()->previous() }}" class="btn btn-secondary"><i
                                class="fas fa-chevron-double-left"></i> Kembali</a>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>
@endsection

@push('scripts')
<script>
$(document).ready(function() {
    $('.jenis-dokter').select2();
    var select2 = $(".jenis-dokter").select2();
    select2.data('select2').$selection.css('height', '34px');
});
</script>
@endpush

resources/views/admin/dokter/index.blade.php
@extends('templates.main')
@section('content')
<div class="pagetitle">
    <h1>Dokter</h1>
    <nav>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{{ url('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item active">Dokter</li>
        </ol>
    </nav>
</div>
<section class="section">
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-body">
                    <h5 class="card-title">Data Ruangan</h5>
                    <a href="{{ route('dokter.create') }}" class="btn btn-primary">
                        Tambah Data
                    </a>
                    <table class="table" id="datatable">
                        <thead>
                            <tr>
                                <th>
                                    No
                                </th>
                                <th>
                                    Nama
                                </th>
                                <th>
                                    SMF
                                </th>
                                <th>
                                    Univ
                                </th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            @php $no = 0; @endphp
                            @foreach($dokter as $row)
                            @php $no++; @endphp
                            <tr>
                                <td>
                                    {{ $no }}
                                </td>
                                <td>
                                    {{ $row->nama }}
                                </td>
                                <td>
                                    {{ $row->smf }}
                                </td>
                                <td>
                                    {{ $row->universitas }}
                                </td>
                                <td>
                                    <a href="{{ url('jadwal_dokter/'.$row->id) }}" class="btn btn-sm btn-info text-white mb-2">Jadwal Dokter</a>
                                    <a href="{{ route('dokter.edit', $row->id) }}" class="btn btn-sm btn-primary">
                                        <i class="ri-edit-box-line"></i> </a>
                                    <button class="btn btn-danger btn-sm" type="button" data-bs-toggle="modal"
                                        data-bs-target="#basicModal{{ $row->id }}">
                                        <i class="ri-delete-bin-fill"></i>
                                    </button>
                                </td>
                            </tr>
                            <div class="modal fade" id="basicModal{{ $row->id }}" tabindex="-1" aria-hidden="true"
                                style="display: none;">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title">Konfirmasi Hapus Data</h5>
                                            <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                aria-label="Close"></button>
                                        </div>
                                        <div class="modal-body">
                                            Data yang dihapus akan hilang, pastikan anda memeriksa sebelum, melakukan
                                            hapus data ?
                                        </div>
                                        <div class="modal-footer">
                                            <form action="{{ url('del_dokter/'.$row->id) }}" class="mt-5" method="POST">
                                                @csrf
                                                <button type="submit"
                                                    class="btn btn-primary">Ya</button>
                                                <button type="button" class="btn btn-secondary"
                                                    data-bs-dismiss="modal">Tidak</button>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</section>
@endsection

@push('scripts')
<script>
     $("#datatable").DataTable();
</script>
@endpush